(define-public txf-help-categories
  (list
   (cons 'H000 #(current "help" "Name of Current account is exported." 0 #f ""))
   (cons 'H002 #(parent "help" "Name of Parent account is exported." 0 #f ""))
   (cons 'H003 #(not-impl "help" "Not implemented yet, Do NOT Use!" 0 #f ""))))

(define-public txf-income-categories
  (list
   (cons 'N000 #(none "" "Tax Report Only - No TXF Export" 0 #f ""))
   (cons 'N261 #(none "F1040" "Alimony received" 1 #f "Alimony receive"))
   (cons 'N257 #(none "F1040" "Other income, misc." 1 #f "Other income, m"))
   (cons 'N519 #(none "F1040" "RR retirement income, self" 1 #f "RR retirement i"))
   (cons 'N520 #(none "F1040" "RR retirement income, spouse" 1 #f "RR retirement i"))
   (cons 'N258 #(none "F1040" "Sick pay or disability pay" 1 #f "Sick Pay"))
   (cons 'N266 #(none "F1040" "Social Security income, self" 1 #f "Social Security"))
   (cons 'N483 #(none "F1040" "Social Security income, spouse" 1 #f "Social Security"))
   (cons 'N269 #(none "F1040" "Taxable fringe benefits" 1 #f "Taxable fringe"))

   (cons 'N672 #(none "F1099-G" "Qualified state tuition earnings" 1 #t ""))
   (cons 'N260 #(none "F1099-G" "State and local tax refunds" 1 #t ""))
   (cons 'N479 #(none "F1099-G" "Unemployment compensation" 1 #t "Unemployment In"))

   (cons 'N562 #(parent "F1099-MISC" "Crop insurance proceeds" 1 #t ""))
   (cons 'N559 #(parent "F1099-MISC" "Fishing boat proceeds" 1 #t ""))
   (cons 'N560 #(parent "F1099-MISC" "Medical/health payments" 1 #t ""))
   (cons 'N561 #(parent "F1099-MISC" "Nonemployee compensation" 1 #t ""))
   (cons 'N557 #(parent "F1099-MISC" "Other income" 1 #t ""))
   (cons 'N259 #(parent "F1099-MISC" "Prizes and awards" 1 #t "Prizes, awards"))
   (cons 'N555 #(parent "F1099-MISC" "Rents" 1 #t ""))
   (cons 'N556 #(parent "F1099-MISC" "Royalties" 1 #t ""))

   (cons 'N632 #(none "F1099-MSA" "MSA earnings on excess contrib" 1 #t ""))
   (cons 'N631 #(none "F1099-MSA" "MSA gross distribution" 1 #t ""))

   (cons 'N623 #(parent "F1099-R" "SIMPLE total gross distrib." 1 #t ""))
   (cons 'N624 #(parent "F1099-R" "SIMPLE total taxable distrib." 1 #t ""))
   (cons 'N477 #(parent "F1099-R" "Total IRA gross distrib." 1 #t ""))
   (cons 'N478 #(parent "F1099-R" "Total IRA taxable distrib." 1 #t ""))
   (cons 'N475 #(parent "F1099-R" "Total pension gross distrib." 1 #t ""))
   (cons 'N476 #(parent "F1099-R" "Total pension taxable distrib." 1 #t ""))

   (cons 'N387 #(none "F2106" "Reimb. business exp. (non-meal/ent.)" 1 #t ""))
   (cons 'N388 #(none "F2106" "Reimb. meal/entertainment exp." 1 #t ""))

   (cons 'N505 #(none "F4137" "Total cash/tips not reported to employer" 1 #t ""))

   (cons 'N416 #(none "F4684" "FMV after casualty" 1 #t ""))
   (cons 'N415 #(none "F4684" "FMV before casualty" 1 #t ""))
   (cons 'N414 #(none "F4684" "Insurance/reimbursement" 1 #t ""))

   (cons 'N573 #(none "F4835" "Agricultural program paymnts" 1 #t ""))
   (cons 'N575 #(none "F4835" "CCC loans forfeited/repaid" 1 #t ""))
   (cons 'N574 #(none "F4835" "CCC loans reported/election" 1 #t ""))
   (cons 'N577 #(none "F4835" "Crop insurance proceeds deferred" 1 #t ""))
   (cons 'N576 #(none "F4835" "Crop insurance proceeds received" 1 #t ""))
   (cons 'N578 #(none "F4835" "Other income" 1 #t ""))
   (cons 'N571 #(none "F4835" "Sale of livestock/produce" 1 #t ""))
   (cons 'N572 #(none "F4835" "Total co-op distributions" 1 #t ""))

   (cons 'N429 #(none "F6252" "Debt assumed by buyer" 1 #t ""))
   (cons 'N431 #(none "F6252" "Depreciation allowed" 1 #t ""))
   (cons 'N435 #(none "F6252" "Payments received prior years" 1 #t ""))
   (cons 'N434 #(none "F6252" "Payments received this year" 1 #t ""))
   (cons 'N428 #(none "F6252" "Selling price" 1 #t ""))

   (cons 'N444 #(none "F8815" "EE US svgs. bonds proceeds" 1 #f ""))
   (cons 'N443 #(none "F8815" "Nontaxable education benefits" 1 #f ""))
   (cons 'N445 #(none "F8815" "Post-89 EE bond face value" 1 #f ""))

   (cons 'N420 #(not-impl "F4797" "Long Term dep. gain - business" 5 #f ""))
   (cons 'N423 #(not-impl "F4797" "Long Term dep. gain - res. rent." 5 #f ""))
   (cons 'N421 #(not-impl "F4797" "Short Term dep. prop. - business" 5 #f ""))
   (cons 'N424 #(not-impl "F4797" "Short Term dep. prop. - res. rent." 5 #f ""))
   (cons 'N637 #(none "F8863" "Hope credit" 1 #t ""))
   (cons 'N638 #(none "F8863" "Lifetime learning credit" 1 #t ""))

   (cons 'N393 #(none "Home Sale" "Selling price of old home" 1 #t ""))

   (cons 'N488 #(parent "Sched B" "Dividend, cap gain distrib." 3 #t "_LT CapGnDst"))
   (cons 'N487 #(current "Sched B" "Dividend, non-taxable" 3 #t "_DivInc TaxFree"))
   (cons 'N286 #(parent "Sched B" "Dividend, Ordinary" 3 #t "_DivInc"))
   (cons 'N287 #(current "Sched B" "Interest" 3 #t "_IntInc"))
   (cons 'N489 #(current "Sched B" "Interest, non-taxable" 3 #t "_IntInc TaxFree"))
   (cons 'N492 #(current "Sched B" "Interest, OID bonds" 3 #t ""))
   (cons 'N524 #(current "Sched B" "Interest, Seller-financed mortgage" 3 #t "Seller-financed"))
   (cons 'N289 #(current "Sched B" "Interest, State and muni bond" 3 #t ""))
   (cons 'N490 #(current "Sched B" "Interest, taxed only by fed" 3 #t ""))
   (cons 'N491 #(current "Sched B" "Interest, taxed only by state" 3 #t ""))
   (cons 'N290 #(current "Sched B" "Interest, Tax Exempt private activity bond" 3 #t ""))
   (cons 'N288 #(current "Sched B" "Interest, US government" 3 #t ""))

   (cons 'N293 #(none "Sched C" "Gross receipts or sales" 1 #t ""))
   (cons 'N303 #(none "Sched C" "Other business income" 1 #t ""))

   (cons 'N323 #(not-impl "Sched D" "Long Term gain/loss - security" 4 #f ""))
   (cons 'N321 #(not-impl "Sched D" "Short Term gain/loss - security" 4 #f ""))
   (cons 'N810 #(not-impl "Sched D" "Short/Long Term gain or loss" 4 #f ""))

   (cons 'N326 #(none "Sched E" "Rents received" 1 #t ""))
   (cons 'N327 #(none "Sched E" "Royalties received" 1 #t ""))

   (cons 'N372 #(none "Sched F" "Agricultural program payments" 1 #t ""))
   (cons 'N374 #(none "Sched F" "CCC loans forfeited or repaid" 1 #t ""))
   (cons 'N373 #(none "Sched F" "CCC loans reported/election" 1 #t ""))
   (cons 'N376 #(none "Sched F" "Crop insurance proceeds deferred" 1 #t ""))
   (cons 'N375 #(none "Sched F" "Crop insurance proceeds received" 1 #t ""))
   (cons 'N370 #(none "Sched F" "Custom hire income" 1 #t ""))
   (cons 'N377 #(none "Sched F" "Other farm income" 1 #t ""))
   (cons 'N369 #(none "Sched F" "Resales of livestock/items" 1 #t ""))
   (cons 'N368 #(none "Sched F" "Sales livestock/product raised" 1 #t ""))
   (cons 'N371 #(none "Sched F" "Total co-op. distributions" 1 #t ""))

   (cons 'N452 #(none "Sched K-1" "Dividends" 1 #t ""))
   (cons 'N455 #(none "Sched K-1" "Guaranteed partner payments" 1 #t ""))
   (cons 'N451 #(none "Sched K-1" "Interest income" 1 #t ""))
   (cons 'N454 #(not-impl "Sched K-1" "Net LT capital gain or loss" 1 #t ""))
   (cons 'N453 #(not-impl "Sched K-1" "Net ST capital gain or loss" 1 #t ""))
   (cons 'N456 #(not-impl "Sched K-1" "Net Section 1231 gain or loss" 1 #t ""))
   (cons 'N448 #(not-impl "Sched K-1" "Ordinary income or loss" 1 #t ""))
   (cons 'N450 #(not-impl "Sched K-1" "Other rental income or loss" 1 #t ""))
   (cons 'N449 #(not-impl "Sched K-1" "Rental RE income or loss" 1 #t ""))
   (cons 'N527 #(none "Sched K-1" "Royalties" 1 #t ""))
   (cons 'N528 #(none "Sched K-1" "Tax-exempt interest income" 1 #t ""))

   (cons 'N465 #(parent "W-2" "Dependent care benefits, self" 1 #t ""))
   (cons 'N512 #(parent "W-2" "Dependent care benefits, spouse" 1 #t ""))
   (cons 'N267 #(parent "W-2" "Reimbursed moving expenses, self" 1 #t ""))
   (cons 'N546 #(parent "W-2" "Reimbursed moving expenses,spouse" 1 #t ""))
   (cons 'N460 #(parent "W-2" "Salary or wages, self" 1 #t "Salary"))
   (cons 'N506 #(parent "W-2" "Salary or wages, spouse" 1 #t "Salary"))

   (cons 'N549 #(parent "W-2G" "Gross winnings" 1 #t ""))))

(define-public txf-expense-categories
  (list
   (cons 'N000 #(none "" "Tax Report Only - No TXF Export" 0 #f ""))

   (cons 'A410 #(none "D1" "Work related car expenses" 1 #t ""))
   (cons 'A420 #(none "D2" "Work related travel expenses" 1 #t ""))
   (cons 'A430 #(none "D3" "Work related uniform, occupation speciﬁc or protective clothing, laundry and dry cleaning expenses" 1 #t ""))
   (cons 'A440 #(none "D4" "Work related self-education expenses" 1 #t ""))
   (cons 'A450 #(none "D5" "Other work related expenses" 1 #t ""))
   (cons 'A460 #(none "D6" "Low value pool deduction" 1 #t ""))
   (cons 'A470 #(none "D7" "Interest and dividend deductions" 1 #t ""))
   (cons 'A480 #(none "D8" "Gifts or donations" 1 #t ""))
   (cons 'A490 #(none "D9" "Cost of managing tax affairs" 1 #t ""))

   (cons 'A2106 #(none "21F" "Rental property capital works deductions" 1 #t ""))
   (cons 'A2117 #(none "21Q" "Rental property interest deductions" 1 #t ""))
   (cons 'A2121 #(none "21U" "Rental property other deductions" 1 #t ""))
  )
)
