(define-module (gnucash tax))

(define-public (gnc:txf-get-payer-name-source categories code)
  (gnc:txf-get-code-info categories code 0))
(define-public (gnc:txf-get-form categories code)
  (gnc:txf-get-code-info categories code 1))
(define-public (gnc:txf-get-description categories code)
  (gnc:txf-get-code-info categories code 2))
(define-public (gnc:txf-get-format categories code)
  (gnc:txf-get-code-info categories code 3))
(define-public (gnc:txf-get-multiple categories code)
  (gnc:txf-get-code-info categories code 4))
(define-public (gnc:txf-get-category-key categories code)
  (gnc:txf-get-code-info categories code 5))
(define-public (gnc:txf-get-help categories code)
  (let ((pair (assv code (local-eval (module-variable (current-module) 'txf-help-strings) the-environment))))
    (if pair
        (cdr pair)
        "No help available.")))
(define-public (gnc:txf-get-codes categories)
  (map car categories))

;;;; Private
(define (gnc:txf-get-code-info categories code index)
  (let ((category (assv code categories)))
    (and category
         (vector-ref (cdr category) index))))

(load "default/txf.scm")
(load "default/txf-help.scm")

;; ifdef LOCALE-SPECIFIC-TAX
(define-module (gnucash taxlocale)
	#:replace (txf-income-categories txf-expense-categories txf-help-categories txf-help-strings)
	#:use-module (gnucash tax)
	#:use-module (ice-9 regex)
)
;; Add all the exported symbols from (gnucash tax) to this module
(module-for-each (lambda (name var) (module-add! (module-public-interface (current-module)) name var)) (resolve-interface '(gnucash tax)))
(define locale-string (false-if-exception (setlocale LC_ALL "")))
(define locale-code (if locale-string (string-downcase! (regexp-substitute #f (string-match "[^_]+_([^.]+)[.].*" locale-string) 1 )) "default"))
;; Now override the symbols defined specifically for this locale
;; The "localiser" should provide instances of each of the symbols in the :replaces line in the module definition
(load (string-append locale-code "/txf.scm"))
(load (string-append locale-code "/txf-help.scm"))
;; endif LOCALE-SPECIFIC-TAX

